Komunikator GG nie chce się uruchomić.

Tematy związane z oprogramowaniem, instalacją, konfiguracją
sullivan
Beginner
Posty: 121
Rejestracja: 03 września 2008, 17:07
Lokalizacja: Krosno Odrzańskie

Komunikator GG nie chce się uruchomić.

Post autor: sullivan » 17 lipca 2018, 14:46

Witajcie. Ściągnąłem i wypakowałem do katalogu domowego komunikator Gadu-Gadu w wersji 64 bitowej z oficjalnej strony www.gg.pl. Pobrane archiwum jest dedykowane dla systemu Ubuntu, bo innego po prostu nie ma. Po przejściu do folderu usiłowałem uruchomić aplikację poleceniami:

Kod: Zaznacz cały

 
sh gg
./gg
... lecz niestety żadne z nich programu nie uruchamia, a w konsoli nie dostaję żadnej informacji. Po prostu dostaję kolejny znak zachęty. Próbowałem też uruchamiać program z poziomu konta administratora lecz z takim samym rezultatem. Oto log z programu:

Kod: Zaznacz cały

daniel@sullivan:~/.gg/logs$ cat gghub_2018.07.17T11_47_41_918.log 
07.17 11:47:41.918 [1] INFO  ggHub.ggUpdate ggUpdaterConfig::readState: got exception: No such node (state)
07.17 11:47:41.918 [1] INFO  ggHub.ggDirect executable file: "/home/daniel/Pobrane/GG/gghub"
07.17 11:47:41.918 [1] INFO  ggHub.ggDirect  executable dir: "/home/daniel/Pobrane/GG"
07.17 11:47:41.918 [1] INFO  ggHub.ggDirect     install dir: "/home/daniel/Pobrane/GG"
07.17 11:47:41.918 [1] INFO  ggHub.ggDirect         bin dir: "/home/daniel/Pobrane/GG"
07.17 11:47:41.918 [1] INFO  ggHub.ggDirect    app ini file: "/home/daniel/Pobrane/GG/application.ini"
07.17 11:47:41.918 [1] INFO  ggHub.ggDirect   xre directory: "/home/daniel/Pobrane/GG/xulrunner"
07.17 11:47:41.918 [1] INFO  ggHub.ggDirect update root dir: "/home/daniel/Pobrane/GG"
07.17 11:47:41.918 [1] INFO  ggHub.ggDirect     current dir: "/home/daniel/Pobrane/GG"
07.17 11:47:41.918 [1] INFO  ggHub.ggDirect        logs dir: "/home/daniel/.gg/logs"
07.17 11:47:41.918 [1] INFO  ggHub.ggHubMai build version: 12.34.4454.6485
07.17 11:47:41.918 [1] INFO  ggHub.ggHubMai platform:      linux64
07.17 11:47:41.918 [1] INFO  ggHub.ggHubMai build type:    release
07.17 11:47:41.918 [1] INFO  ggHub.ggHubMai appVersion:    12.4.79.12024
07.17 11:47:41.918 [1] INFO  ggHub.ggHubMai extra arguments for ggClient: 
07.17 11:47:41.918 [1] INFO  ggHub.ggUpdate ProcessUpdates, appVersion: 12.4.79.12024
07.17 11:47:41.918 [1] INFO  ggHub.ggUpdate update not found, at:"/home/daniel/Pobrane/GG/updates/0"
07.17 11:47:41.918 [1] INFO  ggHub.ggXulPro ggXulProperties::generateInstallId: writing new installId: 946a177f3aea893916794262e68d8dba to: "/home/daniel/.gg/installid.ini"
07.17 11:47:41.918 [1] INFO  ggHub.ggXulPro ggXulProperties::tryReadHubStorage storage file not found, first run?
07.17 11:47:41.918 [1] INFO  ggHub.ggHub    ggHub::registerTarget registering target: #gghub
07.17 11:47:41.918 [1] INFO  ggHub.ggHub    ggHub::registerTarget registering target: broadcast
07.17 11:47:41.918 [1] INFO  ggFlash.localC ggFlashLocalConnection::ggFlashLocalConnection
07.17 11:47:41.919 [1] INFO  ggHub.tcpServe creating ggHubTcpServer, port: 40293
07.17 11:47:41.919 [2] INFO  ggHub.flashSer ggHubFlashServer::threadBody(): flash server thread started
07.17 11:47:41.919 [1] INFO  ggHub.ggStartU runFirstGGClient: starting profile: /home/daniel/.gg/default
07.17 11:47:41.919 [1] INFO  ggHub.ggMethod ggMethodRunApp::startProcess pid: 7954
07.17 11:47:41.923 [1] INFO  ggHub.ProcessS ggProcessStreamSession::handleRead msg: asio.misc:2, End of file, value: 2, pid: 7954
07.17 11:47:41.923 [1] INFO  ggHub.ProcessS ggProcessStreamSession::handleRead msg: asio.misc:2, End of file, value: 2, pid: 7954
07.17 11:47:41.923 [1] INFO  ggHub.ggHub    Stopping asio IO service
07.17 11:47:41.983 [1] INFO  ggHub.ggHubMai removing hub.ini
07.17 11:47:41.983 [1] INFO  ggHub.ggHubMai Hub terminating
07.17 11:47:41.983 [1] INFO  ggHub.main     Hub Exiting.
Jest jakaś szansa, że program uda mi się uruchomić? Nie chcę korzystać z klienta kadu, ponieważ tam nie ma możliwości synchronizacji z archiwum, które zapisuje się na serwerze.

Kod: Zaznacz cały

daniel@sullivan:~/.gg/logs$ cat /etc/debian_version 
buster/sid

daniel@sullivan:~/.gg/logs$ uname -r
4.16.0-2-amd64

daniel@sullivan:~/.gg/logs$ uname -a
Linux sullivan 4.16.0-2-amd64 #1 SMP Debian 4.16.16-2 (2018-06-22) x86_64 GNU/Linux

daniel@sullivan:~/.gg/logs$ dpkg -l | grep linux-headers
ii  linux-headers-4.16.0-2-amd64      4.16.16-2     amd64      Header files for Linux 4.16.0-2-amd64
ii  linux-headers-4.16.0-2-common   4.16.16-2          all         Common header files for Linux 4.16.0-2

Awatar użytkownika
LordRuthwen
Moderator
Posty: 1958
Rejestracja: 18 września 2009, 21:45
Lokalizacja: klikash?

Re: Komunikator GG nie chce się uruchomić.

Post autor: LordRuthwen » 17 lipca 2018, 14:57

A zobacz czy gg nie ma jakiegoś trybu verbose:

Kod: Zaznacz cały

./gg --help

sullivan
Beginner
Posty: 121
Rejestracja: 03 września 2008, 17:07
Lokalizacja: Krosno Odrzańskie

Re: Komunikator GG nie chce się uruchomić.

Post autor: sullivan » 17 lipca 2018, 15:07

Nic się nie uruchamia po wykonaniu takiego polecenia... Tak jakby nie było żadnej pomocy do tego.

Awatar użytkownika
dedito
Moderator
Posty: 2639
Rejestracja: 18 listopada 2013, 21:07
Lokalizacja: Gliwice

Re: Komunikator GG nie chce się uruchomić.

Post autor: dedito » 17 lipca 2018, 15:18

Kod: Zaznacz cały

07.17 11:47:41.918 [1] INFO  ggHub.ggUpdate ggUpdaterConfig::readState: got exception: No such node (state)
Może firewall blokuje?

Tak pobieżnie przeglądając widzę, że to może wymagać przeglądarki chrome lub chromium.

sullivan
Beginner
Posty: 121
Rejestracja: 03 września 2008, 17:07
Lokalizacja: Krosno Odrzańskie

Re: Komunikator GG nie chce się uruchomić.

Post autor: sullivan » 17 lipca 2018, 15:40

Przeglądarka google-chrome jest zainstalowana z oficjalnych źródeł. A czy firewall blokuje to powiem szczerze, że nie wiem jak to sprawdzić. System jest świeżo postawiony.

Awatar użytkownika
Yampress
Administrator
Posty: 6094
Rejestracja: 09 sierpnia 2007, 21:41
Lokalizacja: PL

Re: Komunikator GG nie chce się uruchomić.

Post autor: Yampress » 17 lipca 2018, 16:26

zainteresuj się kadu. jest w repo. może nie ma reklam takich jak w gg i pewnyh funkcjonalności w wyszukiwaniu kontaktów, ale poza tym chodzi całkiem przyzwoicie...

A tak w ogóle na jakim środowisku graficznym odpalasz to gg ?

sullivan
Beginner
Posty: 121
Rejestracja: 03 września 2008, 17:07
Lokalizacja: Krosno Odrzańskie

Re: Komunikator GG nie chce się uruchomić.

Post autor: sullivan » 17 lipca 2018, 16:39

Uruchamiam w środowisku KDE. A o kadu pisałem wyżej, dlaczego nie chcę go używać. Nie ma synchronizacji archiwum, nie można też wyświetlać zdjęć w oknie rozmowy, a z racji tego, że archiwum zapisuje się na serwerze to w kadu nie da rady wysyłać plików. Nigdy wcześniej nie miałem problemów z uruchamianiem gg w linuksie.

Awatar użytkownika
saturno
Junior Member
Posty: 671
Rejestracja: 08 lipca 2008, 20:04

Re: Komunikator GG nie chce się uruchomić.

Post autor: saturno » 17 lipca 2018, 18:58

1. W katalogu programu wykonaj następujące polecenia i pokaż ich wyniki:
sh -x gg
ldd gghub
ldd ggapp
2. https://webowe.gadu-gadu.pl/

sullivan
Beginner
Posty: 121
Rejestracja: 03 września 2008, 17:07
Lokalizacja: Krosno Odrzańskie

Re: Komunikator GG nie chce się uruchomić.

Post autor: sullivan » 18 lipca 2018, 08:24

saturno pisze:
17 lipca 2018, 18:58
1. W katalogu programu wykonaj następujące polecenia i pokaż ich wyniki:
sh -x gg
ldd gghub
ldd ggapp
2. https://webowe.gadu-gadu.pl/

Kod: Zaznacz cały

aniel@sullivan:~/Pobrane/GG$ sh -x gg
+ dirname gg
+ GG_PATH=.
+ ./gghub
daniel@sullivan:~/Pobrane/GG$ ldd gghub 
        linux-vdso.so.1 (0x00007fffaf126000)
        librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007fce83e3b000)
        libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007fce83c1d000)
        libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007fce840c1000)
        libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007fce8388a000)
        libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007fce840a7000)
        libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007fce834d0000)
        /lib64/ld-linux-x86-64.so.2 (0x00007fce84043000)
daniel@sullivan:~/Pobrane/GG$ ldd ggapp 
        linux-vdso.so.1 (0x00007ffe47baf000)
        libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f63daa21000)
        libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f63da81d000)
        libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007f63dacbd000)
        libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f63da48a000)
        libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f63da0d0000)
        /lib64/ld-linux-x86-64.so.2 (0x00007f63dac3f000)
        libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007f63daca3000)
daniel@sullivan:~/Pobrane/GG$
Co do tego, że można korzystać z gg poprzez przeglądarkę to wiem, ale gdybym chciał korzystać z takiego rozwiązania nie prosiłbym o pomoc z programem.

Awatar użytkownika
Yampress
Administrator
Posty: 6094
Rejestracja: 09 sierpnia 2007, 21:41
Lokalizacja: PL

Re: Komunikator GG nie chce się uruchomić.

Post autor: Yampress » 24 lipca 2018, 19:19

a więc brakuje powyższych plików bibliotek. Musisz je zainstalować
poprzez wyszukanie i instalacje paczek w których są.


https://www.debian.org/distrib/packages
Przeszukaj zawartość pakietów

ODPOWIEDZ